# Changelog
_Last Modified on __2022-05-25___

## 3.0.0 - released 2022-06-01
### Changed 
- SmartclipSDKiOS now comes as a xcframework

### Added
- Update to smartclientcore v6.1.3
- OM SDK for iOS v1.3.34 implemented for certification by IAB TechLab
- Customization of various timeout values through SCAdConfiguration
- Tutorials that help with different implementation details

### Removed
- Outstream support
- Sequencer
- Reference App


## 2.3.0 - released 2020-11-10
### Feature
- Added possibility to customize the  `UIAlertController` for clickThrough to your own needs
    - Changes: Added Boolean value  `customizableClickThroughAlert` to `SCAdConfiguration`
                      Added optional function `- (void)displayClickThroughAlert` to protocols `SCAdFacadeDelegate`, `SCAdListener` and `SCAdSequencerDelegate`
### Bugfix
- Added timer to complete adSlot, if the adTag could not be parsed.

## 2.2.0 - released 2020-08-20
### Bugfix
- Improved visibility checking (instream and outstream) and fullscreen support (instream):
- Changes required to SCSequencerViewController:
        - Only pause sequencer in `onViewDidDisappear` if not going to fullscreen (for fullscreen display Apple uses a `AVFullscreenViewController` that holds the AVPlayerView. The switching to fullscreen triggers `onViewDidDisappear` in the `SCSequencerViewController`)
        - Add `SCSequencerViewControllerExtensions` with code to detect if the `AVPlayerViewController` is being displayed fullscreen 
        - Activate/Deactivate visibility checking for a certain `SCAdSlotController`/`SCAdSequencer` in `viewDidAppear`/`viewDidDisappear` 
        - Activate/Deactivate visibility checking if there is a UITabbarController in the view hierarchy (depending on the selection of a tab that includes the `SCSequencerViewController` or `SCOutstreamBaseViewController` in it's subview hierarchy - as an example see: `SCTabBarController`).
       - Added `-(void)clickTroughURL:(SCStringResultCompletionBlock)completion` to SCAdSequencer


## 2.1.6 - released 2020-08-25
### Feature
- Added possibility to customize the  `UIAlertController` for clickThrough to your own needs
- Changes: Added Boolean value  `customizableClickThroughAlert` to `SCAdConfiguration`
                      Added optional function `- (void)displayClickThroughAlert` to protocols `SCAdFacadeDelegate`, `SCAdListener` and `SCAdSequencerDelegate`
    

## 2.1.5 - released 2020-05-26
### Other
- Improvements to facilitate AppStore submission

## 2.1.4 - released 2020-04-09
### Feature
- Added function `presentationSizeChangedTo` in AdSequencer and AdListener
### Other
- Updating names and referneces to smartclip
